# ezQuake Manual: Screen Settings Variables

## cl_clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Off.
1 | Shows the time you spent on server (you'll also see it in the status bar when you press TAB).
2 | Shows the time of day.

## cl_clock_format

### Description

Changes the format of the clock which is displayed if cl_clock is non-zero.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %H:%M:%S

Variable is string.
Special chars are prefixed with the % sign in here

%H represents hours, %M minutes, %S seconds. There are many other flags you can use. See strftime (C language) documentation for closer info.

## cl_clock_x

### Description

Horizontal coordinates of the clock.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## cl_clock_y

### Description

Vertical coordinates of the clock. If < 0, the coordinates are calculated from bottom up, e.g. -1 means the screen line just above the scoreboard.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is float.

## cl_confirmquit

### Description

This sets whether to confirm on quit (1) or quit with no confirmation (0).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Ask for confirmation on quit. This will display the 'About' message box where you have to press [Y] to quit.
0 | Do not ask for confirmation on quit.

## cl_democlock

### Description

A clock showing how much time has elapsed since the start of the demo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | On.
0 | Off.

## cl_democlock_x

### Description

Determine where the democlock is positioned on your screen on the X co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## cl_democlock_y

### Description

Determine where the democlock is positioned on your screen on the Y co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -2

Variable is float.

## cl_gameclock

### Description

Displays clock with seconds on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Turned OFF
1 | Counts up from the start of the match.
2 | Counts down from the start of the match.
3 | Same as 1 but only minutes:seconds (hours are not being displayed).
4 | Same as 2 but only minutes:seconds (hours are not being displayed).

Use cl_gameclock_x and cl_gameclock_y to place it anywhere on the screen.

## cl_gameclock_x

### Description

Adjusts horizontal placement of the clock with seconds.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

See cl_gameclock for detailed info about the clock.

## cl_gameclock_y

### Description

Adjusts vertical placement of the clock with seconds.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -3

Variable is float.

See cl_gameclock for detailed info about the clock.

## cl_hud

### Description

Enables/Disables strings-hud. Strings hud is not mqwcl hud. It gives you ability put any string (or value of some variable) on your hud.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Strings hud enabled
0 | Strings hud disabled

Strings hud banned for ruleset smackdown

## cl_multiview

### Description

This client adds a multiview component to mvd playback. Upto four views can be displayed at once. Use this variable to turn multiview on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Multiview disabled
1 | Still no multiview but you can use cl_mvdisplayhud to show small complex hud.
2 | Two screens.
3 | Three screens.
4 | Four screens.

## cl_mvdisplayhud

### Description

Toggle drawing of small compact HUD in each screen of Multiview control.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Don't draw mini-HUDs when in multiview.
1 | Draw original mini-HUDs when in multiview. (Only strings)
2 | Draw names only.
3 | Draw graphics. Icons for weapons, healthbar, armorbar.
4 | Same as 3 but with values showing the health/armor on the bars.
5 | Same as 4 but with a semitransparent black background.

Also see cl_mvhudpos and cl_mvhudvertical when this is set to a value greater than 1.

## cl_mvhudflip

### Description

Flips the mini-HUD in multiview mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Flip the mini-HUD drawing.
0 | Don't flip the mini-HUD drawing.

This only works when cl_mvdisplayhud is greater than 1. See also cl_mvhudvertical and cl_mvhudpos.

## cl_mvhudpos

### Description

Sets the position of the multiview mini-HUDs.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom center

### Values

value | description
top left/tl |
top center/tc |
top right/tr |
bottom left/bl |
bottom center/bc |
bottom right/br |
gather/g | The mini-HUDs are all "gathered" towards the center of the screen. Top left view has the hud in the lower right corner; bottom left view has it in the upper left corner and so on.

This only applies to the mini-HUD when cl_mvdisplayhud has a value greater than 1. Otherwise old mini-HUD will be used (just strings).

## cl_mvhudvertical

### Description

Set whetever the mini-HUDs in multiview mode will be drawn vertically or not.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Draw mini-HUDs vertically
0 | Draw mini-HUDs horizontally

This only applies if cl_mvdisplayhud has a value greater than 1, otherwise the old style is used for the mini-HUDs (only strings).

## cl_mvinset

### Description

Turns inset screen with multitrack on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Display 2nd POV inside main screen in the right top corner.
0 | Divide screen in 2/3/4 areas according to cl_multiview settings.

## cl_mvinsetcrosshair

### Description

Turn crosshair in inset POV in multiview on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Display crosshair in inset POV.
0 | Do not display crosshair in inset POV.

## cl_mvinsethud

### Description

Turns inset HUD for inset POV with multiview on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Display inset HUD (usually nick of tracked player).
0 | Do not display inset HUD.

## cl_onload

### Description

Tells what will be the start-up screen of the client

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: menu

### Values

value | description
console | After start-up you can immediately type into the console
menu | You'll see the main menu after the start-up
browser | Server browser will be your start-up screen

## cl_shownet

### Description

This variable toggles the display of current net info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Do not display any information.
1 | Print current incoming packet size in byte.
2 | Print information about the current in coming packet and it's size.

## cl_verify_qwprotocol

### Description

Enables the check on client startup for handling URLs starting with qw://

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

When enabled and the client is not associated with handling of qw:// URLs, user will be prompted if he wishes to associate the client with the protocol

## cl_window_caption

### Description

Choose different window caption formats for your taskbar when you play in windowed mode or when the client is minimized in the taskbar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Format: ezQuake: address
1 | Format: <server state> - pl: <number of players> - <map>

The caption doesn't refresh regularly on some configurations. We recommend to use vid_flashonactivity 1 as well.

## demo_playlist_loop

### Description

will toggle playlist looping

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | will loop the demo playlist
0 | will not loop the demo playlist

## demo_playlist_track_name

### Description

will set the default track name in the demo playlist for mvd demos example: jogi, will always track the player jogi or versions of it (jogihoogi, angryjogi, etc)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## draw_fps

This variable has been renamed to scr_scoreboard_drawfps

### Description

Substitutes the "time" column with a "FPS" in scores showing how much FPS each player has.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

### Values

value | description
1 | Replace "time" with "FPS" in the scoreboard
0 | Keep "time" in the scoreboard

## gl_contrast

### Description

Change contrast.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.3

Variable is float.

## gl_gamma

### Description

Change GL gamma.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

Variable is float.

## menu_ingame

### Description

Enables/disables ingame menu - menu that typically appears if you press Esc key during the game.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | in-game menu enabled
0 | in-game menu disabled

## menu_marked_bgcolor

### Description

The color of the selected entry in options menu.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 20 20 20 128

Variable is string.

## menu_marked_fade

### Description

Speed of menu entry highlight flashing. Zero disables the flashing effect.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is float.

## r_glstats

### Description

When enabled, it creates a window in the top right of the screen showing the number of particles and etc. in use.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## r_netgraph

### Description

Setting r_netgraph 1 is a diagnostic tool to help you tweak your rate. If you find that you suffer from short pauses in the game and you see red spikes in your netgraph, you should try setting the rate down a bit. The height of the pink lines towards the bottom is your latency on received packets. Red lines are lost packets. (bad) Yellow lines are from the rate command kicking in, it's data that wasn't sent to you because you didn't have the bandwidth for it. (OK) Blue lines are very bad, they invalid delta's, and are related to the U_REMOVE warnings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Display the netgraph.
0 | Do not display the netgraph.

If during your play, you frequently see a string of messages with the term "U_REMOVE" in them, and your play seems to freeze for serveral seconds, use the console command cl_nodelta 1. This is a slightly less efficient way for QuakeWorld to work, but if your ISP is overloaded or has some configuration problems, it may not pass packets to QuakeWorld properly and cause difficulty.

## r_netstats

### Description

Shows information about ping, packetloss, average packet size and incoming/outgoing traffic. Equivalent with 'net' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Draw network statistics.
0 | Do not draw network statistics.

## r_speeds

### Description

Toggles the displaying of drawing time and stats of what is currently being viewed. Example: 32.7 ms 267/196/ 74 poly 3 surf 38.6 ms 267/196/ 74 poly 20 surf 60.4 ms 267/196/ 74 poly 18 surf 38.2 ms 267/196/ 73 poly 18 surf

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## r_tracker_align_right

### Description

Controls the alignment of the extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Extra frag messages window will be shown on the right side of the screen.
0 | Extra frag messages window will be shown on the left side of the screen.

## r_tracker_flags

### Description

Everytime you take, capture or drop a flag, the number of times is displayed on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

See r_tracker_*, cl_parseFrags and cl_loadFragFiles variables description for further info.

## r_tracker_frags

### Description

Controls which frag messages will be shown in extra window, beside the standard onscreen chat (notify area).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | No extra frag messages shown
1 | Frag messages related to yourself will be shown in extra window
2 | All frag messages will be shown in extra window

Values 1 and 2 requires cl_loadfragfiles and cl_parsefrags to be set to 1.

## r_tracker_frame_color

### Description

Controls the opacity and color of the background of the extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0 0

Variable is string.
<r g b><a> = red, green, blue and alpha values 0..255

See other r_tracker_* variables description for further info.

## r_tracker_messages

### Description

Maximum number of custom frag messages to be displayed in extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10

Variable is integer.

See other r_tracker_*, cl_parseFrags and cl_loadFragFiles variables description for further info.

## r_tracker_scale

### Description

Allows you to change the font size in the extra frag messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

See other r_tracker_* variables.

## r_tracker_streaks

### Description

Everytime a player makes a set number of consecutive kills, it will display a message showing they are on a streak, when the player is killed, it will display the name of the person who ended that streak.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## r_tracker_time

### Description

Number of seconds the tracker information is drawn on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is float.
Use positive numbers.

See other 'r_tracker_*' variables too.

## r_tracker_x

### Description

Adjusts the position of extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.
horizontal position

See other r_tracker_* variables description for more info.

## r_tracker_y

### Description

Adjusts the position of extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.
vertical position

See other r_tracker_* variables description for more info.

## scr_autoid

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Hide players nick as spectator.
1 | Show players nick as spectator.
2 | Show health and armor over players' heads.
3 | 2 + Show armor name.
4 | 3 + Show if the user has RL (icon).
5 | 3 + Show the users best weapon (icon).

Only works when spectating.

## scr_centerMenu

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Centers the menu vertically (has no effect if you're playing in 320x200 mode, same applies to scr_centersbar).
0 | Off.

## scr_centershift

### Description

Shifts all centerprints. If you are playing in 1280x1024 and want to watch some demo recorded in 320x200 with +wp_stats (ktpro) or sbar_on (teamfortress) you can shift that text down.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.
Values from -999 to 999 are possible.

## scr_centertime

### Description

This variable sets the amount of time in seconds that centerprinted messages stay on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

### Values

value | description
0 | Do not display any centerprints.
1 | Display centerprints for 1 second.
2 | Display centerprints for 2 seconds.

## scr_coloredfrags

### Description

Frag messages will be colored according to your teamcolor/enemycolor settings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Coloring on
0 | Coloring off

Needs scr_coloredText 1, cl_parsefrags 1, cl_loadfragfiles 1.

## scr_coloredText

### Description

Allows colored text in scoreboard, console and notify area. scr_coloredText

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Disable rainbow spectator text on the scoreboard.
1 | Enable rainbow spectator text on the scoreboard.
2 | Enable rainbow spectator text on the scoreboard plus parse colored console messages.

See Colored text manual page for more details.

## scr_cursor_alpha

### Description

Level of transparency of the cursor used in menus and HUD editor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## scr_cursor_iconoffset_x

### Description

Offset of the cursor image used in menus and HUD editor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10

Variable is integer.

## scr_cursor_iconoffset_y

### Description

Offset of the cursor image used in menus and HUD editor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## scr_cursor_scale

### Description

Size of the cursor image used in menus and HUD editor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.2

Variable is float.

## scr_menualpha

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.7

### Values

value | description
1 | Black mainmenu.
0 | Transparent mainmenu.

## scr_qtvbuffer

### Description

Enables display of the QTV buffer status

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

Makes it able to check how much of the stream is buffered on the client side

## scr_qtvbuffer_x

### Description

Horizontal position of the qtvbuffer counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## scr_qtvbuffer_y

### Description

Vertical position of the qtvbuffer counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -10

Variable is integer.

## scr_scaleMenu

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Scales the frontend menu to match the resolution you are using.
0 | Disable scaling.

## scr_scoreboard_drawfps

### Description

Substitutes the "time" column with a "FPS" in scores showing how much FPS each player has.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Replace time with FPS in scoreboard
0 | Keep time in scoreboard

## scr_showcrosshair

### Description

Allows you to force the display of the crosshair when in menus or in scoreboard

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 |
0 |

## scr_shownick_x

### Description

Horizontal position of the shownick label

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## scr_shownick_y

### Description

Vertical position of the shownick label

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## scr_spectatorMessage

### Description

Switch on/off text at bottom of screen when spectateing in free mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Text at bottom of screen will be displayed
0 | No text at bottom of screen will be displayed

/------------------------------\ |SPECTATOR MODE | |Press [ATTACK] for AutoCamera | \------------------------------/

## scr_teaminfo

### Description

Displays team info when you are spectating or watching mvd demo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Display team info.
0 | No team info.

see scr_teaminfo_* for other options.

## scr_teaminfo_align_right

### Description

Aligns scr_teaminfo left or right

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Align scr_teaminfo right.
0 | Align scr_teaminfo left.

## scr_teaminfo_armor_style

### Description

Changes %a to different styles.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

### Values

value | description
0 | Does not display teammates' armor
1 | Displays teammates' armor always in white.
2 | Displays teammates' armor in white with the icon of the armor they have next to it.
3 | Displays teammates' armor in the color of the armor they have.

## scr_teaminfo_frame_color

### Description

Changes the color and transparency of scr_teaminfo's frame.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10 0 0 120

Variable is string.
R G B alpha, each 0-255

## scr_teaminfo_loc_width

### Description

Sets the width for %l

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 5

Variable is integer.
From 0 (no loc display) to 20.

## scr_teaminfo_low_health

### Description

Sets a minimum health value to display red. E.g. if scr_teaminfo_low_health is 20, and a teammate has 20 health or less, then their health will be displayed red.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10

Variable is float.
From 1-99

## scr_teaminfo_name_width

### Description

Sets name width in scr_teaminfo

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 6

Variable is integer.
From 0 (don't display name) to 20

## scr_teaminfo_order

### Description

Changes the order of displayed items in scr_teaminfo

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: %p%n $x10%l$x11 %a/%H %w

Variable is string.
Options: %p (powerup) %n (name) %h (health) %a (armor) %l (location) %w (weapon)

default: "%p%n [%l] %h/%a %w"

## scr_teaminfo_scale

### Description

Scales scr_teaminfo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.
From 0 (very small) to 10 (very big)

## scr_teaminfo_show_enemies

### Description

Will show enemy players in the teaminfo table.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Show enemy players status in teaminfo table
0 | Do not show enemy players status

Works only for MVD playback (servers do not send info about enemies to you anyway).

## scr_teaminfo_show_self

### Description

Will show row with the status of the current player in the teaminfo table.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

### Values

value | description
1 | Show tracked player in the teaminfo table
0 | Do not show tracked player status in the teaminfo table

## scr_teaminfo_weapon_style

### Description

Changes %w to different styles.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Displays teammates' weapon as a word (rl, lg, etc..)
0 | Displays teammates' weapon as an icon

## scr_teaminfo_x

### Description

Moves scr_teaminfo in the x-direction

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.
from -255 to 255

## scr_teaminfo_y

### Description

Moves scr_teaminfo in the y-direction

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.
from -255 to 255

## scr_tracking

### Description

Changes the format of descriptive text displayed when you are tracking someone as spectator or watching a demo where you can see player's team and name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: Tracking %t %n, [JUMP] for next

Variable is string.
Pattern %n will be replaced with tracked player's name, %t will be replaced with player's team.

This variable affects scr_newhud 0. To change same text in new HUD (scr_newhud 1) use /tracking format (hud_tracking_format) settings.

## scr_weaponstats

### Description

Displays weapons stats on server that support it

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## scr_weaponstats_order

### Description

Accept next tokens %1 %2 %3 ... %8 which expands in to weapons accuracy, %1 - axe, %2 - sg ... %8 - lg. But, for axe accuracy is useless, so better use direct hits instead, for that you must use it like #1. Unrecognized tokens printed as-is, so for axe order will looks like "axe: #1" - that means print string "axe: " and axe hits. Also variable supports ezquake color sequences.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: &c990sg&r:%2 &c099ssg&r:%3 &c900

Variable is string.

## scr_weaponstats_x

### Description

Horizontal placement of the weapon stats table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## scr_weaponstats_y

### Description

Vertical placement of the weapon stats table

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## showdrop

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable text dump printing dropped packets
0 | Disable text dump printing dropped packets

## showpackets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Display information about all network packets.
0 | Do not display information about all network packets.

## showpause

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Display that the pause icon is displayed when the game is paused.
0 | Never display the pause icon.

## showram

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Display the ram icon when running out of memory
0 | Never display the ram icon

## showturtle

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Display the turtle icon when your frame rate drops below 10.
0 | Never display the turtle icon.

## show_fps

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enables the display of the frames-per-second value.
0 | Disables the display of the frames-per-second value.

## show_fps_x

### Description

Determine where the show_fps is positioned on your screen on the X co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -5

Variable is float.

## show_fps_y

### Description

Determine where the show_fps is positioned on your screen on the Y co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is float.

## show_speed

### Description

Displays a speed counter in the top right corner in the client's units (Horizontal velocity). (320 - Normal walking speed, 440 - Accel jump, 450 - Bunnyhopping)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Off.
1 | More accurate counter (Best used when LPB).
2 | Predicted speed (Less laggy when HPB).

## show_speed_x

### Description

Determine where the show_speed is positioned on your screen on the X co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is float.

## show_speed_y

### Description

Determine where the show_speed is positioned on your screen on the Y co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## sw_contrast

### Description

Change contrast.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## sw_gamma

### Description

Change gamma.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs